html {
    font-size: 16px;
    width: 100vw;
    overflow-x: hidden;
}

ul, ol, li {
    list-style: none;
    margin: 0;
    padding: 0;
}   

a {
    text-decoration: none;
    color: #000;
}

figure {
    margin: 0;
}

/*      HEADER       */

.header {
    background-color: #fff;
    width: 100vw;
    box-shadow: 0px 3px 3px rgba(0, 0, 0, 0.3);
    padding: 1rem;
    display: flex;
    flex-direction: row-reverse;
    box-sizing: border-box;
    align-items: center;
    justify-content: space-between;
    position: fixed;
    top: 0;
    z-index: 10;
}

.header__logo {
    height: 2rem;
}

.header__logo svg {
    height: inherit;
}

.menu-trigger:hover {
    cursor: pointer;
}

.menu-trigger__icon {
    position: relative;
    z-index: 10;
    display: inline-block;
    vertical-align: middle;
    width: 2rem;
    line-height: 2rem;
    height: 2px;
    left: 0;
    top: 0;
    -webkit-transform-origin: center center;
    -ms-transform-origin: center center;
    transform-origin: center center;
    background: #000;
    -webkit-transition: -webkit-transform .4s cubic-bezier(.77,0,.175,1),height .4s cubic-bezier(.77,0,.175,1),margin .4s cubic-bezier(.77,0,.175,1);
    transition: transform .4s cubic-bezier(.77,0,.175,1),height .4s cubic-bezier(.77,0,.175,1),margin .4s cubic-bezier(.77,0,.175,1);
}

.menu-trigger.overlay--triggered .menu-trigger__icon {
    height: 0;
    -webkit-transform: rotateZ(90deg);
    transform: rotateZ(90deg);
}

.menu-trigger__icon:after, .menu-trigger__icon::before {
    content: '';
    display: block;
    width: 2rem;
    height: 2px;
    left: 0;
    position: absolute;
    background: #000;
    -webkit-transition: -webkit-transform .4s cubic-bezier(.77,0,.175,1),left .4s cubic-bezier(.77,0,.175,1),top .4s cubic-bezier(.77,0,.175,1),bottom .4s cubic-bezier(.77,0,.175,1);
    transition: transform .4s cubic-bezier(.77,0,.175,1),left .4s cubic-bezier(.77,0,.175,1),top .4s cubic-bezier(.77,0,.175,1),bottom .4s cubic-bezier(.77,0,.175,1);
}

.menu-trigger__icon::before {
    top: -.5rem;
    -webkit-transform: rotateZ(0deg);
    transform: rotateZ(0deg);
}

.menu-trigger.overlay--triggered .menu-trigger__icon::before {
    -webkit-transform: rotateZ(45deg);
    transform: rotateZ(45deg);
    top: -1px;
    left: 0;
}

.menu-trigger__icon::after {
    bottom: -.5rem;
    -webkit-transform: rotateZ(0deg);
    transform: rotateZ(0deg);
}

.menu-trigger.overlay--triggered .menu-trigger__icon::after {
    -webkit-transform: rotateZ(-45deg);
    transform: rotateZ(-45deg);
    bottom: -1px;
    left: 0;
}

.header__nav {
    display: flex;
    position: absolute;
    top: 100%;
    left: 0;
    background-color: #fff;
    width: 100vw;
    height: 100vh;
    box-sizing: border-box;
}

.header__nav ul {
    width: 100%;
    box-sizing: border-box;
    overflow: hidden;
}

.header__nav ul:first-child li{
    width: 100%;
    border-bottom: 1px solid rgba(0, 0, 0, 0.5);
    box-sizing: border-box;
    padding: .8rem;
    background-color: #fff;
}

.header__nav ul:first-child li a{
    display: flex;
    justify-content: space-between;
}

.header__nav ul:first-child .header__nav__submenu {
    cursor: pointer;
}

.header__nav ul:first-child .header__nav__submenu svg{
    height: .5rem;
    transition: 1s;
}

.header__nav ul:first-child .header__nav__submenu.open svg{
    transform: rotateZ(180deg);
}

.header__nav ul:first-child li:first-child{
    border-top: 1px solid rgba(0, 0, 0, 0.5);
}

.header__nav .header__nav__submenu + ul {
    width: 100%;
    overflow: hidden;
    background-color: #fff;
}

.header__nav .header__nav__submenu + ul li{
    padding-left: 2rem;
}

.header__nav__submenu.hidden + ul{
    display: none;
}

.header__nav.hidden {
    display: none;
}

.shadow_background {
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9;
    background: rgba(0, 0, 0, 0.75);

}

.shadow_background.hidden {
    display: none;
}

/*     INTRODUCTION TEXT     */

.contact-introduction {
    width: 90vw;
    padding: 1rem 5vw;
    margin-top: 4rem;
}

.contact__title {
    font-size: 2rem;
}

.contact__text {
    font-size: 1rem;
}

/*     FORM     */

.contact-form {
    width: 90vw;
    padding: 1rem 5vw;
    display: flex;
    flex-direction: column;
    margin-bottom: 3rem;
}

.contact-form__legend {
    font-weight: 600;
    font-size: 1rem;    
}

.contact-form__form {
    display: flex;
    flex-direction: column;
}

.form__label {
    font-size: .9rem;
    color: #8FCCC7;
    font-weight: 600;
    margin: .5rem 0;
}

.form__input {
    width: 100%;
    border-radius: 0;
    border-color: #707070;
    border-style: solid;
    border-width: 1px;  
    box-shadow: inset 0px 3px 6px rgba(0, 0, 0, 0.16);
}

.form__input:focus-visible {
    outline: none;
    border-radius: 5px;
    border-width: 2px;  
}

.form__privacy-sentence {
    font-size: .5rem;
    margin: 1rem 0;
}

.form__privacy-sentence a {
    color: #32ACA8;
}

.form__privacy-sentence a:hover {
    text-decoration: underline;
}

.form__button {
    width: 100%;
    text-transform: uppercase;
    padding: 1rem;
    box-sizing: border-box;
    border: none;
    background-color: #32ACA8;
    color: #fff;
    font-weight: 600;
    margin: .5rem 0;
}

/*     NOTIFICATION     */

.notification {
    position: fixed;
    right: 1rem;
    bottom: 1rem;
    height: 5rem;
    width: 5rem;
    display: none;
}

.notification.loading, .notification.sent {
    display: initial;
}

.notification svg {
    height: inherit;
}

.notification .loading-dash {
    stroke-dashoffset: 800;
    stroke-dasharray: 1100;
    transform-origin: center;
}

.notification .mail-icon {
    animation-fill-mode: forwards; 
}

.notification .loading-dash {
    -webkit-animation: rotating 2s linear infinite;
    -moz-animation: rotating 2s linear infinite;
    -ms-animation: rotating 2s linear infinite;
    -o-animation: rotating 2s linear infinite;
    animation: rotating 2s linear infinite;
}

.notification.loading .sent-check{
    display: none;
}

.notification.sent .loading-dash {
    animation: dash .5s linear forwards;
}

.notification.sent .sent-check{
    display: block;
    animation: check-animation .5s linear forwards;
}
  
@keyframes dash {
to {
    stroke-dashoffset: 0;
}
}

.sent-check.fill {
    -webkit-animation: check-fill .3s ease-in-out ;
    -moz-animation: check-fill .3s ease-in-out ;
    -ms-animation: check-fill .3s ease-in-out ;
    -o-animation: check-fill .3s ease-in-out ;
    animation: check-fill .3s ease-in-out ;
    animation-fill-mode: forwards;
}

@keyframes check-fill {
    to {
        fill: #8FCCC7;
    }
}

@keyframes check-animation {
    from {
        stroke-dasharray: 1000;
        stroke-dashoffset: 1000;
    }
    to {
        stroke-dasharray: 1000;
        stroke-dashoffset: 0;
    }
}


/*     FOOTER     */

.footer {
    padding: 1rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    position: relative;
    border-top: 1px solid #707070;
    width: 90%;
    margin: auto;
    margin-top: 3rem;
}

.footer__logo {
    width: 4rem;
}

.footer__nav ul{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 1rem;
    margin-bottom: 2rem;
    font-weight: 500;
}

.footer__nav ul li{
    margin: .5rem;
}

.footer__copyright {
    font-size: .7rem;
    color: #707070;
}






@media only screen and (min-width: 425px) {

    /*     HEADER     */

    .header__nav {
        width: 80vw;
    }

    /*     FORM     */

    .contact-form {
        width: 80vw;
        padding: 1rem 10vw;
    }

}

@media only screen and (min-width: 600px) {

    /*     HEADER     */

    .header__nav {
        width: 50vw;
    }

    /*     FORM     */

    .contact-form {
        width: 50vw;
        padding: 1rem 25vw;
    }

    /*     FOOTER     */

    .footer__nav ul{
        flex-direction: row;
    }
    

}

@media only screen and (min-width: 768px) {

    /*     HEADER     */

    .header__nav {
        width: 30vw;
    }

    .header__logo {
        height: 2.5rem;
    }

    /*     FORM     */

    .contact-form {
        padding: 1rem 5vw;
    }

    .form__button {
        width: 50%;
    }

    /*     FOOTER     */

    .footer__logo {
        position: absolute;
        left: 1rem;
        top: 1rem;
    }

}

@media only screen and (min-width: 1024px) {


    /*     FOOTER     */

    .footer {
        width: 80%;
    }

}

@media only screen and (min-width: 1200px) {

    /*     HEADER     */

    .header {
        flex-direction: row;
    }

    .header__nav {
        display: flex;
        position: initial;
        background-color: #fff;
        width: fit-content;
        height: fit-content;
        width: -moz-fit-content;
        height: -moz-fit-content;
        width: -webkit-fit-content;
        height: -webkit-fit-content;
        box-sizing: border-box;
    }
    
    .header__nav ul {
        width: initial;
        box-sizing: border-box;
        overflow: hidden;
        display: flex;
    }
    
    .header__nav ul:first-child li{
        width: fit-content;
        width: -moz-fit-content;
        width: -webkit-fit-content;
        border-bottom: none;
        position: relative;
    }

    .header__nav ul:first-child li::after{
        position: absolute;
        content: '';
        height: 5px;
        margin: 0;
        left: .8rem;
        right: .8rem;
        bottom: 0;
        width: calc(100% - 1.6rem);
        background: #9A9A9A;
        opacity: 0;
        -o-transition: .5s;
        -ms-transition: .5s;
        -moz-transition: .5s;
        -webkit-transition: .5s;
        transition: .5s;
    }

    .header__nav ul:first-child li.selected::after{
        opacity: 1;
        -o-transition: .5s;
        -ms-transition: .5s;
        -moz-transition: .5s;
        -webkit-transition: .5s;
        transition: .5s;
    }
    
    .header__nav ul:first-child .header__nav__submenu svg{
        display: none;
    }
    
    .header__nav ul:first-child li:first-child{
        border-top: none;
    }

    .header__nav ul:first-child .header__nav__submenu.open + ul{
        padding: .5rem;
    }
    
    .header__nav .header__nav__submenu + ul {
        width: 100vw;
        padding: 0;
        overflow: hidden;
        display: flex;
        justify-content: space-evenly;
        align-items: center;
        position: absolute;
        right: 0;
        box-shadow: 0px 3px 3px rgba(0, 0, 0, 0.3);
        top: 4.7rem;
        transition: 1s;
    }
    
    .header__nav .header__nav__submenu + ul li{
        padding: 0;
        font-size: 0px;
        transition: 1s;
    }

    .header__nav ul:first-child .header__nav__submenu.open + ul li{
        padding: 0.8rem;
        font-size: 1rem;
    }

    .header__nav .header__nav__submenu.hidden + ul {
        display: none;
    }

    .menu-trigger {
        display: none;
    }

}

@media only screen and (min-width: 1300px) {
  
}



/*       ANIMATIONS        */

@-webkit-keyframes rotating /* Safari and Chrome */ {
    from {
      -webkit-transform: rotate(0deg);
      -o-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    to {
      -webkit-transform: rotate(360deg);
      -o-transform: rotate(360deg);
      transform: rotate(360deg);
    }
  }
  @keyframes rotating {
    from {
      -ms-transform: rotate(0deg);
      -moz-transform: rotate(0deg);
      -webkit-transform: rotate(0deg);
      -o-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    to {
      -ms-transform: rotate(360deg);
      -moz-transform: rotate(360deg);
      -webkit-transform: rotate(360deg);
      -o-transform: rotate(360deg);
      transform: rotate(360deg);
    }
  }

.right-in {
    -webkit-animation-name: right-in;
    -webkit-animation-duration: .5s;
    animation-name: right-in;
    animation-duration: .5s;
    animation-fill-mode: forwards; 
}

@keyframes right-in {
    from {
        transform: translateX(100vw);
    }
    
    to {
        transform: translateX(0);
    }
}

@-webkit-keyframes right-in {
    from {
        transform: translateX(100vw);
    }
    
    to {
        transform: translateX(0);
    }
}

.right-out {
    -webkit-animation-name: right-out;
    -webkit-animation-duration: .5s;
    animation-name: right-out;
    animation-duration: .5s;
    animation-fill-mode: forwards; 
}

@keyframes right-out {
    from {
        transform: translateX(0);
    }
    
    to {
        transform: translateX(100vw);
    }
}

@-webkit-keyframes right-out {
    from {
        transform: translateX(0);
    }
    
    to {
        transform: translateX(100vw);
    }
}

.slide-in {
    -webkit-animation-name: slide-in;
    -webkit-animation-duration: .5s;
    animation-name: slide-in;
    animation-duration: .5s;
    animation-fill-mode: forwards; 
}

@keyframes slide-in {
    from {
        transform: translateX(-100vw);
    }
    
    to {
        transform: translateX(0);
    }
}

@-webkit-keyframes slide-in {
    from {
        transform: translateX(-100vw);
    }
    
    to {
        transform: translateX(0);
    }
}

.slide-out {
    -webkit-animation-name: slide-out;
    -webkit-animation-duration: .5s;
    animation-name: slide-out;
    animation-duration: .5s;
    animation-fill-mode: forwards; 
}

@keyframes slide-out {
    from {
        transform: translateX(0);
    }
    
    to {
        transform: translateX(-100vw);
    }
}

@-webkit-keyframes slide-out {
    from {
        transform: translateX(0);
    }
    
    to {
        transform: translateX(-100vw);
    }
}

.slide-down {
    -webkit-animation-name: slide-down;
    -webkit-animation-duration: 1s;
    animation-name: slide-down;
    animation-duration: 1s;
    animation-fill-mode: forwards; 
}

@keyframes slide-down {
    from {
        max-height: 0%;
    }
    
    to {
        max-height: 100%;
    }
}

@-webkit-keyframes slide-down {
    from {
        max-height: 0%;
    }
    
    to {
        max-height: 100%;
    }
}

.slide-up {
    -webkit-animation-name: slide-up;
    -webkit-animation-duration: 1s;
    animation-name: slide-up;
    animation-duration: 1s;
    animation-fill-mode: forwards; 
}

@keyframes slide-up {
    from {
        max-height: 100%;
    }
    
    to {
        max-height: 0%;
    }
}

@-webkit-keyframes slide-up {
    from {
        max-height: 100%;
    }
    
    to {
        max-height: 0%;
    }
}

.fade-in {
    -webkit-animation-name: fade-in;
    -webkit-animation-duration: .5s;
    animation-name: fade-in;
    animation-duration: .5s;
}

@-webkit-keyframes fade-in {
    from {opacity: 0;}
    to {opacity: 1;}
}

@keyframes fade-in {
    from {opacity: 0;}
    to {opacity: 1;}
}

.fade-out {
    -webkit-animation-name: fade-out;
    -webkit-animation-duration: .5s;
    animation-name: fade-out;
    animation-duration: .5s;
}

@-webkit-keyframes fade-out {
    from {opacity: 1;}
    to {opacity: 0;}
}

@keyframes fade-out {
    from {opacity: 1;}
    to {opacity: 0;}
}


.roulette-out {
    animation: roulette-out 1s ease-in-out;
    animation-fill-mode: forwards; 
}

.roulette-in {
    animation: roulette-in 1s ease-in-out;
    animation-fill-mode: forwards; 
}

@keyframes roulette-out {

    to {
        transform: translateY(-1.5rem);
        opacity: 0;
    }
}

@keyframes roulette-in {
    from {
        transform: translateY(1.5rem);
        opacity: 0;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
}

@keyframes color-change {

    to {
        color: #287b7f;
    }
}


@font-face {
    font-family: 'Montserrat';
    font-weight: 600;
    font-style: normal;
    src: url(../assets/fonts/Montserrat/Montserrat-SemiBold.ttf);
    font-display: swap;
}